<div class="pt-3 pb-1" id="breadcrumbs-wrapper">
    <!-- Search for small screen-->
    <div class="container">
      <div class="row">
        <div class="col s12 m6 l6">
          <h5 class="breadcrumbs-title mt-0 mb-0"><span>Liste des contrats</span></h5>
        </div>
        <div class="col s12 m6 l6 right-align-md">
          <ol class="breadcrumbs mb-0">
            <li class="breadcrumb-item"><a [routerLink]="['/DashbordReservation']">Acceuil</a>
            </li>
            <li class="breadcrumb-item">Gestion des contrats
            </li>
            <li class="breadcrumb-item active">Liste des contrats
            </li>
          </ol>
        </div>
      </div>
    </div>
  </div>
  
  <div class="section section-data-tables">
  
    <!-- Page Length Options -->
    <div class="row">
    <div class="col s12">
      <div class="card">
        <div class="card-content">
        
    
          <h4 class="card-title">Liste des Contrats</h4>
    
        
          <br/>
          <div class="row">
            <div class="col s12">
              <table id="page-length-option" class="display">
                <thead>
                  <tr>
                    <th>N° Contrat </th>
                    <th>Client</th>
                    <th>Date</th>
                    <th>Periode de </th>
                    <th>Periode a </th>
                    <th>Prix totale</th>
                    <th>Montant due</th>
                    <th>Action</th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let c of contrats; index as i;">
                    
    
                    <td><a href="VoirContrat?id={{c.id}}">INV-{{c.id.substr(0, 5)}}</a></td>
                    <td>
                      <div *ngFor="let cl of clients">
                        <div *ngIf="c.ClientId === cl.id">
                          {{cl.nom}}  {{cl.prenom}}
                        </div>
                      </div>
                    </td>
                    <td>{{c.date}}</td>
                    <td>{{c.periodede}}</td>
                    <td>{{c.periodea}}</td>
                    <td>{{c.prixtotal}}</td>

                    <td>
  
  
                   
                        <ng-container *ngIf="montantdue[i] <= 0">

                            <span class="chip lighten-5 green green-text">Paye</span>
                          
                          
                          </ng-container>
                          
                          
                          <ng-container *ngIf="montantdue[i] > 0 ">
                          
                            {{montantdue[i]}}
                          
                          
                          </ng-container>
                        
                        
                       
                      
                      
  
                    </td>
                    
                    <td>
                      <a class='dropdown-trigger' href='#' [attr.data-target]="'dropdown' + i">
                      <i class="material-icons">arrow_drop_down</i>
                    </a>
                    <ul id='dropdown{{i}}' class='dropdown-content' >
                      <li><a  class="modal-trigger"  href="VoirContrat?id={{c.id}}"> Voir</a></li>
                      <li ><a class="modal-trigger" href="#modal1" (click)="getOne(c.id)" > Paye</a></li>

                    <li><a class="modal-trigger" (click)="delete(c.id)"> Supprimper</a></li>
                    
                    </ul>
                  </td>
                    
                  
                  
                 
              </tr>
          </tbody>
        </table>
      </div>
    </div>
    </div>
    </div>
    </div>
    </div>
    </div>
  

    <div id="modal1" class="modal modal-fixed-footer" >
        <form  #for="ngForm" (ngSubmit)="payement(for.value)">
          <div class="modal-content" >
            <h4>Payments</h4>
            <br>
        
         
      
              <div class="input-field col s6">
                <select name="mode" [(ngModel)]="payment.mode" #mode="ngModel" required>
                  <option value="cheque" >cheque</option>
                  <option value="virement">virement</option>
                  <option value="espece" >espece</option>
                 
                </select>
      
                <label for="name2" class="active">Mode*</label>
              </div>
              <div class="input-field col s6" >
                <input  id="name3" class="validate" type="date" name="date" [(ngModel)]="payment.date" #date="ngModel" required>
                <label for="name2">Date*</label>
              </div>
              <div class="input-field col s6">
                <input  id="name3" class="validate" type="number" name="montant" [(ngModel)]="payment.montant" #montant="ngModel"  required>
                <label for="name2" class="active">Montant*</label>
              </div>
              <div class="input-field col s6">
                <input  id="name3" class="validate" type="text" name="description" [(ngModel)]="payment.description" #description="ngModel"  required>
                <label for="name2" class="active">Description*</label>
              </div>
            
             
             
             </div>
          
          <div class="modal-footer">
             <button   type="submit" class="btn cyan waves-effect waves-light right" style="margin-right: 25px;">Valider</button>
          </div>
        </form>
      </div>